package domain

type AlibabaWdkCouponSkuRemoveApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponSkuRemoveApiResult) SetErrCode(v string) *AlibabaWdkCouponSkuRemoveApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveApiResult) SetErrMsg(v string) *AlibabaWdkCouponSkuRemoveApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveApiResult) SetModel(v AlibabaWdkCouponSkuRemoveCouponTemplateOperateResponse) *AlibabaWdkCouponSkuRemoveApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveApiResult) SetSuccess(v bool) *AlibabaWdkCouponSkuRemoveApiResult {
	s.Success = &v
	return s
}
